package cn.cslg.pas.common.model.dto.analysis;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class CustomSettingConfigDTO {
    private List<CustomSettingTableConfigDTO> table;
    private CustomSettingLineConfigDTO line;
    private List<CustomSettingColorConfigDTO> color;

    public CustomSettingConfigDTO() {
        this.line = new CustomSettingLineConfigDTO();
        List<CustomSettingTableConfigDTO> configs = new ArrayList<>();
        for (int i = 0; i < 10; i++) {
            CustomSettingTableConfigDTO configDTO = new CustomSettingTableConfigDTO();
            configDTO.setMax(0);
            configDTO.setMin(0);
            configDTO.setColor("");
            configs.add(configDTO);
        }
        this.table = configs;
        this.color = new ArrayList<>();
    }
}
